<html>
<head>
<title>Ogre::BitArray Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1BitArray.html">BitArray</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::BitArray Class Reference<div class="ingroups"><a class="el" href="group__LOD.html">LOD</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::BitArray" -->
<p><code>#include &lt;<a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>&gt;</code></p>

<p><a href="classOgre_1_1BitArray-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html#a5444f885974d3ba168b1a98910485794">BitArray</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html#a46d4292abb4d9d97b6a7afa60d403c3f">BitArray</a> (int bits_count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1BitArray.html">BitArray</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html#a591b29ccb7277fef464fb21f2e4d6e1d">operator=</a> (const <a class="el" href="classOgre_1_1BitArray.html">BitArray</a> &amp;ba)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html#abc3a82bfa3cb4d6babde6bd303121ef0">getBit</a> (size_t i) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html#a49842c6e4eef8e5ff9833f24e8fe952e">setBit</a> (size_t i)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html#a0f97f0a02faff68c5e75a30acf15f25f">clearBit</a> (size_t i)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html#a730a4e876b2ff5348311a377f43ec6be">clearAllBits</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html#a2829647f43caa200dfd6e2f88f0b937b">empty</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html#ac121e16caaf504fb580165e237a3ea7a">resize</a> (size_t bits_count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html#a5eba413cef8acc7212f57f989dbd4eb6">getBitsCount</a> () const </td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html#a44f2386aa4b0fb2299aef7eb9890caff">bits_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt; unsigned char &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html#a828871a92c7a6456b207597f730acba7">bits</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html#a5151dadbb0eb9946ececfdde359b84e2">bit_mask</a> [8]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BitArray.html#af81a0b48f78d43206fd97aaf9315f716">bit_count</a> [16]</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00056">56</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a5444f885974d3ba168b1a98910485794"></a><!-- doxytag: member="Ogre::BitArray::BitArray" ref="a5444f885974d3ba168b1a98910485794" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1BitArray.html#a5444f885974d3ba168b1a98910485794">Ogre::BitArray::BitArray</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00059">59</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a46d4292abb4d9d97b6a7afa60d403c3f"></a><!-- doxytag: member="Ogre::BitArray::BitArray" ref="a46d4292abb4d9d97b6a7afa60d403c3f" args="(int bits_count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1BitArray.html#a5444f885974d3ba168b1a98910485794">Ogre::BitArray::BitArray</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>bits_count</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00060">60</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a730a4e876b2ff5348311a377f43ec6be"></a><!-- doxytag: member="Ogre::BitArray::clearAllBits" ref="a730a4e876b2ff5348311a377f43ec6be" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1BitArray.html#a730a4e876b2ff5348311a377f43ec6be">Ogre::BitArray::clearAllBits</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00066">66</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0f97f0a02faff68c5e75a30acf15f25f"></a><!-- doxytag: member="Ogre::BitArray::clearBit" ref="a0f97f0a02faff68c5e75a30acf15f25f" args="(size_t i)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1BitArray.html#a0f97f0a02faff68c5e75a30acf15f25f">Ogre::BitArray::clearBit</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00065">65</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2829647f43caa200dfd6e2f88f0b937b"></a><!-- doxytag: member="Ogre::BitArray::empty" ref="a2829647f43caa200dfd6e2f88f0b937b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1BitArray.html#a2829647f43caa200dfd6e2f88f0b937b">Ogre::BitArray::empty</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00068">68</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="abc3a82bfa3cb4d6babde6bd303121ef0"></a><!-- doxytag: member="Ogre::BitArray::getBit" ref="abc3a82bfa3cb4d6babde6bd303121ef0" args="(size_t i) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1BitArray.html#abc3a82bfa3cb4d6babde6bd303121ef0">Ogre::BitArray::getBit</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00063">63</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5eba413cef8acc7212f57f989dbd4eb6"></a><!-- doxytag: member="Ogre::BitArray::getBitsCount" ref="a5eba413cef8acc7212f57f989dbd4eb6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1BitArray.html#a5eba413cef8acc7212f57f989dbd4eb6">Ogre::BitArray::getBitsCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00076">76</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a591b29ccb7277fef464fb21f2e4d6e1d"></a><!-- doxytag: member="Ogre::BitArray::operator=" ref="a591b29ccb7277fef464fb21f2e4d6e1d" args="(const BitArray &amp;ba)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1BitArray.html">BitArray</a>&amp; Ogre::BitArray::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1BitArray.html">BitArray</a> &amp;&#160;</td>
          <td class="paramname"><em>ba</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00061">61</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

<p>References <a class="el" href="OgreProgressiveMesh_8h_source.html#l00089">bits</a>.</p>

</div>
</div>
<a class="anchor" id="ac121e16caaf504fb580165e237a3ea7a"></a><!-- doxytag: member="Ogre::BitArray::resize" ref="ac121e16caaf504fb580165e237a3ea7a" args="(size_t bits_count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1BitArray.html#ac121e16caaf504fb580165e237a3ea7a">Ogre::BitArray::resize</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>bits_count</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00069">69</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a49842c6e4eef8e5ff9833f24e8fe952e"></a><!-- doxytag: member="Ogre::BitArray::setBit" ref="a49842c6e4eef8e5ff9833f24e8fe952e" args="(size_t i)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1BitArray.html#a49842c6e4eef8e5ff9833f24e8fe952e">Ogre::BitArray::setBit</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00064">64</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="af81a0b48f78d43206fd97aaf9315f716"></a><!-- doxytag: member="Ogre::BitArray::bit_count" ref="af81a0b48f78d43206fd97aaf9315f716" args="[16]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const unsigned char <a class="el" href="classOgre_1_1BitArray.html#af81a0b48f78d43206fd97aaf9315f716">Ogre::BitArray::bit_count</a>[16]<code> [static, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00092">92</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5151dadbb0eb9946ececfdde359b84e2"></a><!-- doxytag: member="Ogre::BitArray::bit_mask" ref="a5151dadbb0eb9946ececfdde359b84e2" args="[8]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const unsigned char <a class="el" href="classOgre_1_1BitArray.html#a5151dadbb0eb9946ececfdde359b84e2">Ogre::BitArray::bit_mask</a>[8]<code> [static, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00091">91</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a828871a92c7a6456b207597f730acba7"></a><!-- doxytag: member="Ogre::BitArray::bits" ref="a828871a92c7a6456b207597f730acba7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt;unsigned char&gt;::type <a class="el" href="classOgre_1_1BitArray.html#a828871a92c7a6456b207597f730acba7">Ogre::BitArray::bits</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00089">89</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

<p>Referenced by <a class="el" href="OgreProgressiveMesh_8h_source.html#l00061">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="a44f2386aa4b0fb2299aef7eb9890caff"></a><!-- doxytag: member="Ogre::BitArray::bits_ptr" ref="a44f2386aa4b0fb2299aef7eb9890caff" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char* <a class="el" href="classOgre_1_1BitArray.html#a44f2386aa4b0fb2299aef7eb9890caff">Ogre::BitArray::bits_ptr</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00088">88</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
